Package twisted :: Package protocols :: Module portforward :: Class Proxy |
[show private | hide private]
[frames | no frames]

## Class Proxy

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      Proxy

Known Subclasses:
  `ProxyServer`, `ProxyClient`

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``dataReceived`(self, data)` Called whenever data is received.
| `setPeer(self, peer)`

Class Variable Summary
`str` | `buf`
`NoneType` | `peer`

Method Details

### connectionLost(self, reason) Called when the connection is shut down. Clear any circular references here, and any external references to this Protocol. The connection has been closed. Parameters: `reason` (type=`twisted.python.failure.Failure`) Overrides: `twisted.internet.protocol.Protocol.connectionLost` (inherited documentation)

### dataReceived(self, data) Called whenever data is received. Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message. Parameters: `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time. Overrides: `twisted.internet.protocol.Protocol.dataReceived` (inherited documentation)

Class Variable Details

    ### buf Type: `str` Value:
        ''

    ### peer Type: `NoneType` Value:
        None

Generated by Epydoc 1.1 on Thu May 8 13:16:46 2003 | http://epydoc.sf.net